import request from "@/utils/request";

// 创建供应商
export function createSupplier(data) {
    return request({
        url: "/rtkerp/supplier/create",
        method: "post",
        data: data,
    });
}

// 更新供应商
export function updateSupplier(data) {
    return request({
        url: "/rtkerp/supplier/update",
        method: "put",
        data: data,
    });
}

// 删除供应商
export function deleteSupplier(id) {
    return request({
        url: "/rtkerp/supplier/delete?id=" + id,
        method: "delete",
    });
}

// 获得供应商
export function getSupplier(id) {
    return request({
        url: "/rtkerp/supplier/get?id=" + id,
        method: "get",
    });
}

// 获得供应商分页
export function getSupplierPage(query) {
    return request({
        url: "/rtkerp/supplier/page",
        method: "get",
        params: query,
    });
}

// 导出供应商 Excel
export function exportSupplierExcel(query) {
    return request({
        url: "/rtkerp/supplier/export-excel",
        method: "get",
        params: query,
        responseType: "blob",
    });
}